### Class

# Clutter InputDeviceTool

#### Description

    abstract class Clutter.InputDeviceTool : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Instance methods

###### clutter_input_device_tool_get_axes

No description available.

###### clutter_input_device_tool_get_id

Gets the ID of this tool, this value can be used to identify a physical tool (eg. a tablet pen) across program executions.

###### clutter_input_device_tool_get_serial

Gets the serial of this tool, this value can be used to identify a physical tool (eg. a tablet pen) across program executions.

###### clutter_input_device_tool_get_tool_type

Gets the tool type of this tool.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Clutter.InputDeviceTool:axes

No description available.

###### Clutter.InputDeviceTool:id

No description available.

###### Clutter.InputDeviceTool:serial

No description available.

###### Clutter.InputDeviceTool:type

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ClutterInputDeviceToolClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.